# Dockerfile.dev
FROM node:22.18

# Definir variables de entorno con valores predeterminados
# ARG NODE_ENV=production
# ARG PORT=3000

RUN apt-get update
RUN apt-get install -y curl && rm -rf /var/lib/apt/lists/*

# Copia archivos de configuración primero para aprovechar el cache
COPY package*.json ./

# Instala dependencias
RUN npm i 

# Copia el resto de la app
COPY . .

CMD ["npm", "run", "start"]